Last Comment Bug 753614 - enable DumpHeapComplete in non-debug builds
: enable DumpHeapComplete in non-debug builds
Status: RESOLVED FIXED
[js:t]
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla16
Assigned To: Andrew McCreight (PTO-ish through 6-29) [:mccr8]
:
Mentors:
Depends on: 701415
Blocks: 723783 759581
  Show dependency treegraph
 
Reported: 2012-05-09 17:50 PDT by Andrew McCreight (PTO-ish through 6-29) [:mccr8]
Modified: 2012-06-15 21:33 PDT (History)
11 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
remove some ifdef DEBUGs (7.68 KB, patch)
2012-05-25 11:14 PDT, Andrew McCreight (PTO-ish through 6-29) [:mccr8]
wmccloskey: review+
bugs: review+
Details | Diff | Review

Description Andrew McCreight (PTO-ish through 6-29) [:mccr8] 2012-05-09 17:50:34 PDT
With bug 701415 in place, I think we should be able to enable DumpHeapComplete in non-debug builds.  That should also include the XPConnect heap dumping code that calls it, as well as the CC's invocation of that code.
Comment 1 Andrew McCreight (PTO-ish through 6-29) [:mccr8] 2012-05-25 11:14:18 PDT
Created attachment 627298 [details] [diff] [review]
remove some ifdef DEBUGs
Comment 2 Andrew McCreight (PTO-ish through 6-29) [:mccr8] 2012-06-13 09:27:07 PDT
Comment on attachment 627298 [details] [diff] [review]
remove some ifdef DEBUGs

Pretty simple patch.  Olli can look at the stuff in nsCycleCollector.cpp, Bill can review the rest.
Comment 3 Bill McCloskey (:billm) 2012-06-13 10:18:40 PDT
Comment on attachment 627298 [details] [diff] [review]
remove some ifdef DEBUGs

Review of attachment 627298 [details] [diff] [review]:
-----------------------------------------------------------------

::: js/src/jsapi.cpp
@@ +2517,2 @@
>  JS_PUBLIC_API(void)
>  JS_PrintTraceThingInfo(char *buf, size_t bufsize, JSTracer *trc, void *thing,

While you're here, can you rename this to JS_GetTraceThingInfo?
Comment 4 Andrew McCreight (PTO-ish through 6-29) [:mccr8] 2012-06-14 08:54:38 PDT
Thanks for the quick reviews!  Try run looked good.  I renamed the function and fixed up comments in one or two places.

https://hg.mozilla.org/integration/mozilla-inbound/rev/9efa5af3c1d8
Comment 5 Ed Morley [:emorley] 2012-06-15 05:59:54 PDT
https://hg.mozilla.org/mozilla-central/rev/9efa5af3c1d8
Comment 6 Jan Honza Odvarko [:Honza] 2012-06-15 06:51:59 PDT
Excellent! I've been waiting for this.

So, it should be in today's Nightly, correct?

Honza
Comment 7 Andrew McCreight (PTO-ish through 6-29) [:mccr8] 2012-06-15 07:39:58 PDT
No, it will be in tomorrow's.

I previously switched on JS details in cycle collector dumps, this is just the final trivial bit to enable producing JS heap dumps, too.

Note You need to log in before you can comment on or make changes to this bug.